### Method

# Gtk Widget set_tooltip_text

#### Declaration [src]

    void
    gtk_widget_set_tooltip_text (
      GtkWidget* widget,
      const char* text
    )

#### Description [src]

Sets `text` as the contents of the tooltip.

If `text` contains any markup, it will be escaped.

This function will take care of setting `GtkWidget:has-tooltip` as a side effect, and of the default handler for the `GtkWidget::query-tooltip` signal.

See also gtk_tooltip_set_text().

Sets property | `Gtk.Widget:tooltip-text`

#### Parameters

`text` | `const char*`
| The contents of the tooltip for `widget`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.